<template>
    <div class='movieBlock'>
        <span> {{movie.title}} </span>
        <span> {{movie.director.name}} </span>
        <span> {{movie.releaseDate}} </span>
        <img :src="movie.url" class='poster'>
        <div class='subMovie'>
             <!-- <button class='btnDes' v-on:click='remove(movie.id)'> Supprimer </button> -->
             <div class='blackFilter'>
                <router-link v-bind:movie=movie class='btnEdi' :to="'/movie/'+index">Détails</router-link>
                <StarRating :rating=movie.note :read-only=true :show-rating=false> </StarRating>
             </div>
             
        </div>
    </div>
</template>




<script>
        import StarRating from 'vue-star-rating'
        export default  {
            props: ['movie', 'index'],
            methods: {
                edit(str) {
                    document.getElementById('title').value = str.title;
                },
                remove(id) {
                    this.$emit('remove', id) 
                },
            },
            components: {
                StarRating
            }
        }
</script>

<style scoped>
    .blackFilter {
        background-color: black;
        padding: 20px;
        border-radius: 20px;
    }
</style>